_Note: Some paragraphs are taken from Wikipedia._

# Regular expression

`int()` function converts the specified value into an `int` number.

#### Random List
- George Washington
* John Adams
+ Thomas Jefferson

A **regular expression** (shortened as **regex** or **regexp**; sometimes referred to as **rational expression**) is a sequence of [characters](https://en.wikipedia.org/wiki/Character_(computing)) that specifies a match pattern in text. _Usually_ ~~such~~ patterns are used by string-searching algorithms for "find" or "find and replace" operations on strings, or for input validation. Regular expression techniques are developed in theoretical computer science and formal language theory.

![Screenshot of a comment on a GitHub issue showing an image, added in the Markdown, of an Octocat smiling and raising a tentacle.](https://myoctocat.com/assets/images/base-octocat.svg)

The concept of regular expressions began in the 1950s, when the American mathematician [Stephen Cole Kleene](https://en.wikipedia.org/wiki/Stephen_Cole_Kleene) formalized the concept of a regular language. They came into common use with Unix text-processing utilities. Different syntaxes for writing regular expressions have existed since the 1980s, one being the POSIX standard and another, widely used, being the Perl syntax.